//  SPDX-FileCopyrightText: 2023 Yury Gubich <blue@macaw.me>
//  SPDX-License-Identifier: GPL-3.0-or-later

#include "exceptions.h"

DBInterface::Duplicate::Duplicate(const std::string& text):
    std::runtime_error(text)
{}

DBInterface::DuplicateLogin::DuplicateLogin(const std::string& text):
    Duplicate(text)
{}

DBInterface::EmptyResult::EmptyResult(const std::string& text):
    std::runtime_error(text)
{}

DBInterface::NoLogin::NoLogin(const std::string& text):
    EmptyResult(text)
{}
