//  SPDX-FileCopyrightText: 2023 Yury Gubich <blue@macaw.me>
//  SPDX-License-Identifier: GPL-3.0-or-later

#pragma once

#include "dbinterface.h"

class DBInterface::Duplicate : public std::runtime_error {
public:
    explicit Duplicate(const std::string& text);
};

class DBInterface::DuplicateLogin : public DBInterface::Duplicate {
public:
    explicit DuplicateLogin(const std::string& text);
};

class DBInterface::EmptyResult : public std::runtime_error {
public:
    explicit EmptyResult(const std::string& text);
};

class DBInterface::NoLogin : public DBInterface::EmptyResult {
public:
    explicit NoLogin(const std::string& text);
};
